## kdepim-runtime 25.08.1+p24.04+vstable+git20250928.1353

=== debian/changelog ===
kdepim-runtime (4:25.08.1+p24.04+vstable+git20250928.1353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:53:28 +0000
