## kdepim-runtime 25.08.2+p24.04+vstable+git20251015.2019

=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vstable+git20251015.2019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:19:47 +0000

kdepim-runtime (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:56 +0000
