## kdepim-runtime 25.08.2+p24.04+vunstable+git20251013.1156

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
 project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})
 
-set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(KDEPIM_DEV_VERSION alpha)
+set(RELEASE_SERVICE_VERSION "25.11.70")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -15,7 +15,7 @@
 
 configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})
@@ -39,24 +39,25 @@
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "6")
-set(AKONADI_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.40")
 
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(KIMAP_LIB_VERSION "6.5.2")
-set(KMBOX_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(AKONADIMIME_LIB_VERSION "6.5.2")
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(KGAPI_LIB_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(CALENDARUTILS_LIB_VERSION "6.5.40")
+set(KIMAP_LIB_VERSION "6.5.40")
+set(KMBOX_LIB_VERSION "6.5.40")
+set(AKONADICALENDAR_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.42")
+set(AKONADIMIME_LIB_VERSION "6.5.40")
+set(AKONADICONTACT_LIB_VERSION "6.5.40")
+set(KGAPI_LIB_VERSION "6.5.40")
+set(KLDAP_LIB_VERSION "6.5.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
 
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(SharedMimeInfo_MINIMUM_VERSION "1.10")
@@ -124,7 +125,7 @@
                                    TYPE REQUIRED)
 
 option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
-ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.18.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
