## kdepim-runtime 25.08.2+p24.04+vunstable+git20251015.2018

=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vunstable+git20251015.2018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:18:28 +0000
