## kdepim-runtime 25.08.2+p24.04+vunstable+git20251020.0717

=== CMakeLists.txt ===
--- 
+++ 
@@ -125,7 +125,7 @@
                                    TYPE REQUIRED)
 
 option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
-ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.19.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
