=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vunstable+git20251020.0717-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:17:19 +0000
